# Cosmo Sequence Report Action

The node Cosmo Sequence Report Action will export a JSON report with all assets used in the sequence if the corresponding project has been indexed with the ’advanced’ option first. One have to provide the sequence ID, the destination file and a certain potential conflict rule (appended, incremented or deleted). The outcome e.g. by writing the node result it into a log file will look like the following example:

```json
{
  "sequenceName": "TestSeq",
  "assetId": "6315ed32d6347d0001a30ced",
  "projectName": "Test project",
  "numberOfAssetsUsed": 2,
  "filePath": "/Volumes/Helmut/Projects/Premiere Pro/Test project.prproj:::/TestSeq",
  "reportItems": [
    {
      "assetName": "Asset.mp4",
      "assetId": "6315d6f5d6347d0001a30ce7",
      "filePath": "/Users/editor/files/test-beep.mp4",
      "sequenceReferenceList": [
        {
          "sequenceUUID": "58b1794b-1e75-42be-9d75-58df62d083e8",
          "sequenceName": "TestSeq",
          "mediaReferences": [
            {
              "mediaInOutPoint": {
                "secondsInPoint": 0.0,
                "timeCodeInPoint": "00:00:00:00:25.0/1",
                "secondsOutPoint": 16.4164,
                "timeCodeOutPoint": "00:00:16:10:25.0/1",
                "fps": 25.0
              },
              "sequenceInOutPoint": {
                "secondsInPoint": 0.0,
                "timeCodeInPoint": "00:00:00:00:29.97002997002997/1",
                "secondsOutPoint": 16.4164,
                "timeCodeOutPoint": "00:00:16:12:29.97002997002997/1",
                "fps": 29.97002997002997
              },
              "trackNumber": 1,
              "trackType": "VIDEO"
            },
            {
              "mediaInOutPoint": {
                "secondsInPoint": 0.0,
                "timeCodeInPoint": "00:00:00:00:44100/1",
                "secondsOutPoint": 16.583233333333332,
                "timeCodeOutPoint": "00:00:16:25720:44100/1",
                "fps": 44100.0
              },
              "sequenceInOutPoint": {
                "secondsInPoint": 0.0,
                "timeCodeInPoint": "00:00:00:00:48000/1",
                "secondsOutPoint": 16.583233333333332,
                "timeCodeOutPoint": "00:00:16:27995:48000/1",
                "fps": 48000.0
              },
              "trackNumber": 1,
              "trackType": "AUDIO"
    }
  ]
}
```

Beside several general technical information as „sequenceName“, „assetId“ and „projectName“ the detailed JSON report delivers extended information about the „mediaReferences“ including the time stamps of the In and Out point of the clip and the sequence as well as the frame (Video asset) and sample rate (Audio asset). Additionally the „trackNumber“ will be part of the sequence report.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.helmut.de/helmut4-releases/v4.9.1/helmut4-components/streamdesigner/nodes/actions/cosmo/cosmo-sequence-report-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
